package cn.net.caoyao.cpzshandset.bean;

import java.io.Serializable;

public class WarehouseBean implements Serializable{
	private int id;//表ID，自增主键
	private String describe;//描述
	private int option_type;//操作类型（5：出库4：入库 6：返库 ）同HansetOperationConstant中的数据
	private int option_mode = 0;//0：单标激活  1：批量激活  实质只有单标方式的操作
	private int sale_area_code;//销售区域
	private int status = 0;//0：未提交  1：提交失败
	private int error_code=0;//提交后服务器返回的错误码
	private String createDate;//创建时间,insert时自动生成的
	
	private String planNumber;//计划数目
	private int outWarehouseType;//出库类型 1 托盘出库 2普通出库 
	
	private int plan_num;
	private long dealer_id;//经销商id
	private String product_id;
	private String to_sale_user_account;//出库到人员的账户名称
	
	
	public WarehouseBean() {
	}
	public WarehouseBean(String describe,int option_type) {
		this.describe = describe;
		this.option_type = option_type;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getDescribe() {
		return describe;
	}
	public void setDescribe(String describe) {
		this.describe = describe;
	}
	public int getOption_type() {
		return option_type;
	}
	public void setOption_type(int option_type) {
		this.option_type = option_type;
	}
	public int getOption_mode() {
		return option_mode;
	}
	public void setOption_mode(int option_mode) {
		this.option_mode = option_mode;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public int getError_code() {
		return error_code;
	}
	public void setError_code(int error_code) {
		this.error_code = error_code;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	public int getSale_area_code() {
		return sale_area_code;
	}
	public void setSale_area_code(int sale_area_code) {
		this.sale_area_code = sale_area_code;
	}
	
	public String getPlanNumber() {
		return planNumber;
	}
	public void setPlanNumber(String planNumber) {
		this.planNumber = planNumber;
	}
	public int getOutWarehouseType() {
		return outWarehouseType;
	}
	public void setOutWarehouseType(int outWarehouseType) {
		this.outWarehouseType = outWarehouseType;
	}
	public int getPlan_num() {
		return plan_num;
	}
	public void setPlan_num(int plan_num) {
		this.plan_num = plan_num;
	}
	public long getDealer_id() {
		return dealer_id;
	}
	public void setDealer_id(long dealer_id) {
		this.dealer_id = dealer_id;
	}
	public String getProduct_id() {
		return product_id;
	}
	public void setProduct_id(String product_id) {
		this.product_id = product_id;
	}
	public String getTo_sale_user_account() {
		return to_sale_user_account;
	}
	public void setTo_sale_user_account(String to_sale_user_account) {
		this.to_sale_user_account = to_sale_user_account;
	}
	@Override
	public String toString() {
		return "WarehouseBean [id=" + id + ", describe=" + describe + ", option_type=" + option_type + ", option_mode="
				+ option_mode + ", sale_area_code=" + sale_area_code + ", status=" + status + ", error_code="
				+ error_code + ", createDate=" + createDate + ", planNumber=" + planNumber + ", outWarehouseType="
				+ outWarehouseType + ", plan_num=" + plan_num + ", dealer_id=" + dealer_id + ", product_id="
				+ product_id + ", to_sale_user_account=" + to_sale_user_account + "]";
	}
}
